com.aliyun.player.source

## Class LiveShift

- java.lang.Object
- - com.aliyun.player.source.LiveShift

-     public class LiveShift
      extends java.lang.Object

  Timeshift playback source

  You can call setUrl(String) to set the broadcasting URL, and call setTimeLineUrl(String) to set the timeshift playback URL. The URL specified in TimeLineUrl is used to query the timeshift period. The player SDK sends a request to this URL every minute to update the timeshift period and other information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiveShift()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCoverPath()` Query the URL of the album cover.
    `java.lang.String` | `getFormat()` Query the format of the video.
    `java.lang.String` | `getTimeLineUrl()` Query the timeshift request URL.
    `java.lang.String` | `getTitle()` Query the title of the video.
    `java.lang.String` | `getUrl()` Query the playback URL.
    `void` | `setCoverPath(java.lang.String coverPath)` Set the URL of the album cover.
    `void` | `setFormat(java.lang.String format)` Set the format of the video.
    `void` | `setTimeLineUrl(java.lang.String timeLineUrl)` Set the timeshift request URL.
    `void` | `setTitle(java.lang.String title)` Set the title of the video.
    `void` | `setUrl(java.lang.String url)` Set the playback URL.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiveShift

          public LiveShift()

  - ### Method Detail

    - #### setFormat

          public void setFormat(java.lang.String format)

      Set the format of the video.
      Parameters:
        `format` - The format of the video.

    - #### getFormat

          public java.lang.String getFormat()

      Query the format of the video.
      Returns:
        The format of the video.

    - #### getUrl

          public java.lang.String getUrl()

      Query the playback URL.
      Returns:
        The playback URL.

    - #### setUrl

          public void setUrl(java.lang.String url)

      Set the playback URL.
      Parameters:
        `The` - playback URL.

    - #### getCoverPath

          public java.lang.String getCoverPath()

      Query the URL of the album cover.
      Returns:
        The URL of the album cover.

    - #### setCoverPath

          public void setCoverPath(java.lang.String coverPath)

      Set the URL of the album cover.
      Parameters:
        `coverPath` - The URL of the album cover.

    - #### getTitle

          public java.lang.String getTitle()

      Query the title of the video.
      Returns:
        The title of the video.

    - #### setTitle

          public void setTitle(java.lang.String title)

      Set the title of the video.
      Parameters:
        `title` - The title of the video.

    - #### getTimeLineUrl

          public java.lang.String getTimeLineUrl()

      Query the timeshift request URL.
      Returns:
        The timeshift request URL.

    - #### setTimeLineUrl

          public void setTimeLineUrl(java.lang.String timeLineUrl)

      Set the timeshift request URL.
      Parameters:
        `timeLineUrl` - The timeshift request URL.